ATA_SCSI_QC_NEW(9)

NAME
ata_scsi_qc_new - acquire new ata_queued_cmd reference

SYNOPSIS

struct ata_queued_cmd * ata_scsi_qc_new (struct ata_port * ap, struct ata_device * dev, struct scsi_cmnd * cmd, void (*done) <funcparams>struct scsi_cmnd *</funcparams>);

ARGUMENTS

ap  ATA port to which the new command is attached

dev ATA device to which the new command is attached

cmd SCSI command that originated this ATA command

done
    SCSI command completion function

DESCRIPTION

Obtain a reference to an unused ata_queued_cmd structure, which is the basic libata structure representing a single ATA command sent to the hardware.

If a command was available, fill in the SCSI-specific portions of the structure with information on the current command.

LOCKING

spin_lock_irqsave(host_set lock)

RETURNS

Command allocated, or NULL if none available.

AUTHOR
Jeff Garzik.